[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.InitializeWnd

InitializeWnd - initialise the window for this control

## Declaration

Source position: controls.pp line 1847

`protected procedure TWinControl.InitializeWnd; virtual;`

## Description

InitializeWnd - initialise the window for this control

Gets called after the Handle is created and before the child handles are created

Works out the correct bounds, sets style, fonts and colours, performs any pending resize operations

The latest version of this document can be found at lazarus-ccr.sourceforge.net.